@font-face {
	font-family: 'Roboto';
	src: url('fonts/Roboto-Bold.woff2') format('woff2');
	font-weight: bold;
	font-style: normal;
	font-display: swap;
}

@font-face {
	font-family: 'Roboto';
	src: url('fonts/Roboto-Regular.woff2') format('woff2');
	font-weight: normal;
	font-style: normal;
	font-display: swap;
}

@font-face {
	font-family: 'Roboto';
	src: url('fonts/Roboto-SemiBold.woff2') format('woff2');
	font-weight: 600;
	font-style: normal;
	font-display: swap;
}

@font-face {
	font-family: 'Noto Sans';
	src: url('fonts/NotoSansJP-Black.woff2') format('woff2');
	font-weight: 900;
	font-style: normal;
	font-display: swap;
}

:root {
	--font-family-base: 'Noto Sans', sans-serif;
	--color-white: #fff;
}

.visible-mobile {
	display: none;
}

body {
	background-image: url(images/BG.png);
	background-position: center;
	background-repeat: none;
	background-size: cover;
	font-family: var(--font-family-base);
	color: var(--color-white);
	height: 100vh;
}

main {
	width: 100%;
	height: 100%;
}

.hero {
	display: flex;
	align-items: center;
	justify-content: center;
	padding-inline: 96px;
	width: 100%;
	padding-top: 195px;
}

.hero__container {
	display: flex;
	flex-direction: column;
	row-gap: 80px;
	justify-content: center;
	align-items: center;
}

.hero__countries {
	display: flex;
	flex-direction: column;
	row-gap: 36px;
}

.hero__countries-flags {
	display: flex;
	column-gap: 72px;
	padding-inline: 54px;
}

.hero__subtitle {
	font-size: clamp(1.5rem, 1.071rem + 1.657vi, 2.625rem);
	display: flex;
	justify-content: center;
	align-self: center;
}

.hero__countries-flag a {
	transition: transform 0.3s ease;
	display: inline-flex;
}

.hero__countries-flag a:hover {
	transform: scale(1.15);
}

@media (max-width: 700px) {
	.visible-mobile {
		display: flex;
	}

	.visible-desktop {
		display: none;
	}

	.hero {
		padding-inline: 27px;
	}

	.hero__container {
		row-gap: 42px;
	}
}
